<?php

namespace App\Console\Commands;

use Doctrine\ORM\EntityNotFoundException;
use GuzzleHttp\Client;
use Illuminate\Console\Command;
use Illuminate\Support\Facades\Storage;

class DownloadPollutionDataCommand extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'tp:download:pollution';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Download pollution data from S3';

    /**
     * Execute the console command.
     *
     * @return void
     * @throws EntityNotFoundException
     */
    public function handle()
    {
        $client = new Client();
        $response = $client->request('GET', 'https://s3-eu-west-1.amazonaws.com/ol-tranquilcity/data/dots_all.csv');
        $data = $response->getBody();
        Storage::disk('local')->put('dots_all.csv', $data);


    }
}
