<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;
use TranquilCity\TranquilPavement\Application\Services\TranquilPlaceService;

class OrderTranquilPlacesCommand extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'tp:order:places';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Try to find a better ordering of the Tranquil Places';

    /**
     * Execute the console command.
     *
     * @param TranquilPlaceService $placeService
     * @return void
     */
    public function handle(TranquilPlaceService $placeService)
    {
        $placeService->reorder();
    }
}
