<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;
use TranquilCity\TranquilPavement\Application\Services\TranquilPlaceService;
use TranquilCity\TranquilPavement\Domain\Models\TranquilPlace;
use TranquilCity\TranquilPavement\Domain\Repositories\TranquilPlaceRepository;

class RenameTranquilPlacesCommand extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'tp:rename:places';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Rename Tranquil Places';

    /**
     * Execute the console command.
     *
     * @param TranquilPlaceRepository $repository
     * @return void
     */
    public function handle(TranquilPlaceRepository $repository)
    {
        /** @var TranquilPlace[] $places */
        $places = $repository->findAll();
        foreach ($places as $place) {
            $name = $place->getName();
            $captionName = $place->getCaptionName();
            if ($name === 'Unknown place' && $captionName) {
                $place->setName($captionName);
                $this->output->writeln('Renamed ' . $place->getName());
                $repository->save($place);
            }
        }
    }
}
