<?php

namespace App\Http\Controllers\Api;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Illuminate\Http\Response;
use TranquilCity\TranquilPavement\Application\Services\TranquilPlaceService;
use TranquilCity\TranquilPavement\Domain\Models\User;
use TranquilCity\TranquilPavement\Domain\Repositories\TranquilPlaceRepository;
use TranquilCity\TranquilPavement\Domain\Repositories\UserRepository;
use TranquilCity\TranquilPavement\Infrastructure\Services\Instagram;
use TranquilCity\TranquilPavement\Infrastructure\Services\TranquilFacebook;

class InstagramController extends Controller
{
    public function businesses(Request $request, TranquilFacebook $facebook)
    {
        $businesses = $facebook->getBusinesses($request->get('access_token'));
        return $businesses;
    }

    public function callback(Request $request, Instagram $instagram, UserRepository $repository)
    {
        /** @var User $user */
        $user = $request->user();
        $instagramUser = $instagram->getOAuthToken($request->get('code'));
        if (property_exists($instagramUser, 'access_token')) {
            $user->setInstagramToken($instagramUser->access_token);
            $repository->save($user);
        }
        return redirect('/admin');
    }
}
