<?php

namespace App\Http\Controllers\Api;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Illuminate\Http\Response;
use TranquilCity\TranquilPavement\Domain\Models\Point;
use TranquilCity\TranquilPavement\Domain\Repositories\PollutionDataPointRepository;

class PollutionDataController extends Controller
{
    public function get(Request $request, PollutionDataPointRepository $pollution)
    {
        $latitude = $request->get('latitude');
        $longitude = $request->get('longitude');

        if (!$latitude || !$longitude) {
            return Response::create('Invalid Request', 400);
        }

        $searchLocation = new Point($latitude, $longitude);
        $pollutionData = $pollution->findByLocation($searchLocation);

        if (!$pollutionData) {
            return Response::create('No Data', 404);
        }

        return $pollutionData->toArray();

    }
}
