<?php

namespace App\Providers;

use TranquilCity\TranquilPavement\Infrastructure\Services\TranquilFacebook;
use Illuminate\Support\ServiceProvider;

class FacebookServiceProvider extends ServiceProvider
{

    /**
     * Bootstrap any application services.
     *
     * @return void
     */
    public function boot()
    {
        //
    }

    /**
     * Register any application services.
     *
     * @return void
     */
    public function register()
    {
        $this->app->singleton(TranquilFacebook::class, function () {
            return new TranquilFacebook(
                [
                    'apiId' => config('services.facebook.app_id'),
                    'apiSecret' => config('services.facebook.app_secret'),
                    'apiKey' => config('services.instagram.api_token'),
                    'instagramBusinessId' => config('services.instagram.business_id')
                ]
            );
        });
    }
}