<?php

namespace App\Providers;

use Illuminate\Support\ServiceProvider;
use TranquilCity\TranquilPavement\Infrastructure\Services\Instagram;

class InstagramServiceProvider extends ServiceProvider
{

    /**
     * Bootstrap any application services.
     *
     * @return void
     */
    public function boot()
    {
        //
    }

    /**
     * Register any application services.
     *
     * @return void
     */
    public function register()
    {
        $this->app->singleton(Instagram::class, function () {
            return new Instagram(
                [
                    'apiKey' => env('INSTAGRAM_API_ID'),
                    'apiSecret' => env('INSTAGRAM_API_SECRET'),
                    'apiCallback' => env('INSTAGRAM_API_CALLBACK'),
                ]
            );
        });
    }
}