<?php


namespace App\Providers;

use Illuminate\Support\ServiceProvider;
use TranquilCity\TranquilPavement\Domain\Repositories\PollutionDataPointRepository;
use TranquilCity\TranquilPavement\Domain\Repositories\TranquilPlaceRepository;
use TranquilCity\TranquilPavement\Domain\Repositories\UserRepository;
use TranquilCity\TranquilPavement\Infrastructure\Doctrine\Repositories\DoctrinePollutionDataPointRepository;
use TranquilCity\TranquilPavement\Infrastructure\Doctrine\Repositories\DoctrineTranquilPlaceRepository;
use TranquilCity\TranquilPavement\Infrastructure\Doctrine\Repositories\DoctrineUserRepository;


class RepositoryProvider extends ServiceProvider
{

    /**
     * Bootstrap any application services.
     *
     * @return void
     */
    public function boot()
    {
    }

    /**
     * Register any application services.
     *
     * @return void
     */
    public function register()
    {
        $this->app->singleton(TranquilPlaceRepository::class, DoctrineTranquilPlaceRepository::class);
        $this->app->singleton(UserRepository::class, DoctrineUserRepository::class);
        $this->app->singleton(PollutionDataPointRepository::class, DoctrinePollutionDataPointRepository::class);
    }

}
