<?php

namespace App\Providers;

use Illuminate\Support\ServiceProvider;
use TranquilCity\TranquilPavement\Infrastructure\Services\Twitter;

class TwitterServiceProvider extends ServiceProvider
{

    /**
     * Bootstrap any application services.
     *
     * @return void
     */
    public function boot()
    {
        //
    }

    /**
     * Register any application services.
     *
     * @return void
     */
    public function register()
    {
        $this->app->singleton(Twitter::class, function () {
            return new Twitter(
                [
                    'apiKey' => config('services.twitter.consumer_key'),
                    'apiSecret' => config('services.twitter.consumer_secret'),
                    'apiCallback' => config('services.twitter.callback'),
                ]
            );
        });
    }
}