<?php

namespace Database\Migrations;

use Doctrine\Migrations\AbstractMigration;
use Doctrine\DBAL\Schema\Schema;

class Version20180110133433 extends AbstractMigration
{
    /**
     * @param Schema $schema
     */
    public function up(Schema $schema): void
    {
        $this->abortIf($this->connection->getDatabasePlatform()->getName() != 'postgresql', 'Migration can only be executed safely on \'postgresql\'.');

        $this->addSql('ALTER TABLE places ADD hidden BOOLEAN NOT NULL');
        $this->addSql('ALTER TABLE places ADD num_comments INT NOT NULL');
        $this->addSql('ALTER TABLE places ADD num_likes INT NOT NULL');
    }

    /**
     * @param Schema $schema
     */
    public function down(Schema $schema): void
    {
        $this->abortIf($this->connection->getDatabasePlatform()->getName() != 'postgresql', 'Migration can only be executed safely on \'postgresql\'.');

        $this->addSql('ALTER TABLE places DROP hidden');
        $this->addSql('ALTER TABLE places DROP num_comments');
        $this->addSql('ALTER TABLE places DROP num_likes');
    }
}
