<?php

namespace Database\Migrations;

use Doctrine\Migrations\AbstractMigration;
use Doctrine\DBAL\Schema\Schema;

class Version20180309154836 extends AbstractMigration
{
    /**
     * @param Schema $schema
     */
    public function up(Schema $schema): void
    {
        $this->abortIf($this->connection->getDatabasePlatform()->getName() != 'postgresql', 'Migration can only be executed safely on \'postgresql\'.');

        $this->addSql('DROP INDEX places_gix');
        $this->addSql('ALTER TABLE places ADD threatened BOOLEAN DEFAULT NULL');
        $this->addSql('DROP INDEX points_gix');
    }

    /**
     * @param Schema $schema
     */
    public function down(Schema $schema): void
    {
        $this->abortIf($this->connection->getDatabasePlatform()->getName() != 'postgresql', 'Migration can only be executed safely on \'postgresql\'.');

        $this->addSql('CREATE SCHEMA public');
        $this->addSql('CREATE INDEX points_gix ON points (geolocation)');
        $this->addSql('ALTER TABLE places DROP threatened');
        $this->addSql('CREATE INDEX places_gix ON places (geolocation)');
    }
}
