<?php

namespace Database\Migrations;

use Doctrine\Migrations\AbstractMigration;
use Doctrine\DBAL\Schema\Schema;

class Version20180312172626 extends AbstractMigration
{
    /**
     * @param Schema $schema
     */
    public function up(Schema $schema): void
    {
        $this->abortIf($this->connection->getDatabasePlatform()->getName() != 'postgresql', 'Migration can only be executed safely on \'postgresql\'.');

        $this->addSql('ALTER TABLE places ADD twitter_id VARCHAR(255) DEFAULT NULL');
        $this->addSql('CREATE INDEX twitter_unique_idx ON places (twitter_id)');

        $this->addSql('DROP INDEX instagram_unique_idx');
        $this->addSql('CREATE INDEX instagram_unique_idx ON places (instagram_id)');
        $this->addSql('ALTER TABLE places ALTER COLUMN instagram_id DROP NOT NULL');

        $this->addSql('ALTER TABLE places RENAME instagram_post_url TO external_url');
        $this->addSql('ALTER TABLE places ADD num_retweets INT NULL');
        $this->addSql('ALTER TABLE places ALTER COLUMN num_comments DROP NOT NULL');
    }

    /**
     * @param Schema $schema
     */
    public function down(Schema $schema): void
    {
        $this->abortIf($this->connection->getDatabasePlatform()->getName() != 'postgresql', 'Migration can only be executed safely on \'postgresql\'.');

        $this->addSql('ALTER TABLE places DROP twitter_id');
        $this->addSql('ALTER TABLE places RENAME external_url TO instagram_post_url');
        $this->addSql('ALTER TABLE places DROP num_retweets');
    }

}
