<?php

namespace Database\Migrations;

use Doctrine\Migrations\AbstractMigration;
use Doctrine\DBAL\Schema\Schema;

class Version20190201160537 extends AbstractMigration
{
    /**
     * @param Schema $schema
     */
    public function up(Schema $schema): void
    {
        $this->abortIf($this->connection->getDatabasePlatform()->getName() != 'postgresql', 'Migration can only be executed safely on \'postgresql\'.');

        $this->addSql('ALTER TABLE places ALTER COLUMN author DROP NOT NULL');
        $this->addSql('ALTER TABLE places ALTER COLUMN created_time DROP NOT NULL');

        $this->addSql('ALTER TABLE places ADD default_index INT DEFAULT NULL');
    }

    /**
     * @param Schema $schema
     */
    public function down(Schema $schema): void
    {
        $this->abortIf($this->connection->getDatabasePlatform()->getName() != 'postgresql', 'Migration can only be executed safely on \'postgresql\'.');

        $this->addSql('CREATE SCHEMA public');

        $this->addSql('ALTER TABLE places ALTER COLUMN author SET NOT NULL');
        $this->addSql('ALTER TABLE places ALTER COLUMN created_time SET NOT NULL');

        $this->addSql('ALTER TABLE places DROP default_index');
    }
}
