<?php

namespace Database\Migrations;

use Doctrine\Migrations\AbstractMigration;
use Doctrine\DBAL\Schema\Schema as Schema;

class Version20210415000000 extends AbstractMigration
{
    /**
     * @param Schema $schema
     */
    public function up(Schema $schema): void
    {
        $this->abortIf($this->connection->getDatabasePlatform()->getName() != 'postgresql', 'Migration can only be executed safely on \'postgresql\'.');

        $this->addSql('ALTER TABLE places ADD events BOOLEAN DEFAULT FALSE');
        $this->addSql('ALTER TABLE places ADD events_caption TEXT DEFAULT NULL');
        $this->addSql('ALTER TABLE places ADD volunteer_need BOOLEAN DEFAULT FALSE');
        $this->addSql('ALTER TABLE places ADD volunteer_need_caption TEXT DEFAULT NULL');
        $this->addSql('ALTER TABLE places ADD walks BOOLEAN DEFAULT FALSE');
        $this->addSql('ALTER TABLE places ADD walks_caption TEXT DEFAULT NULL');
    }

    /**
     * @param Schema $schema
     */
    public function down(Schema $schema): void
    {
        $this->abortIf($this->connection->getDatabasePlatform()->getName() != 'postgresql', 'Migration can only be executed safely on \'postgresql\'.');

        $this->addSql('ALTER TABLE places DROP events');
        $this->addSql('ALTER TABLE places DROP events_caption');
        $this->addSql('ALTER TABLE places DROP volunteer_need');
        $this->addSql('ALTER TABLE places DROP volunteer_need_caption');
        $this->addSql('ALTER TABLE places DROP walks');
        $this->addSql('ALTER TABLE places DROP walks_caption');
    }
}
