<?php

use Illuminate\Database\Seeder;
use TranquilCity\TranquilPavement\Domain\Models\Point;
use TranquilCity\TranquilPavement\Domain\Models\PollutionDataPoint;
use TranquilCity\TranquilPavement\Domain\Models\TranquilPlace;

class TranquilPlaceSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        $point = entity(PollutionDataPoint::class)->create([
            'pm25' => 35,
            'no2' => 7,
            'arri_db' => 45
        ]);
        entity(TranquilPlace::class)->create([
            'name' => 'Kyoto Garden',
            'address' => 'Holland Park, Holland Park Ave, Kensington, London',
            'postcode' => 'W11 4UA',
            'geolocation' => new Point(51.5029927, -0.2046901),
            'imageUrl' => 'https://scontent-lht6-1.cdninstagram.com/t51.2885-15/e35/18721959_339513919813631_4837615664862593024_n.jpg',
            'externalUrl' => 'https://www.instagram.com/p/BUt6vWNBrZ8/',
            'pollutionData' => $point,
            'author' => 'jwdsouza',
            'caption' => 'Chillin\' in Holland Park',
            'tags' => ['tranquilcitylondon']
        ]);
    }
}
