const angular = require('angular')

require('./lib')

const tranquilPavement = angular.module('TranquilPavement',
    ['ui.router', 'ui-leaflet', 'ngStorage', 'ngTouch', 'ngCookies', 'ngAnimate'])

require('./services')
require('./directives')
require('./views')

tranquilPavement.config(['$locationProvider', '$stateProvider', '$urlRouterProvider', ($locationProvider, $stateProvider, $urlRouterProvider) => {
  const appState = {
    name: 'app',
    url: '/',
    component: 'mapView'
  }

  const placeState = {
    name: 'app.image',
    url: 'p/{slug}'
  }

  const pollutionState = {
    name: 'app.pollution',
    url: 'p/{slug}/pollution'
  }

  const adminListState = {
    name: 'adminList',
    url: '/admin',
    component: 'adminList'
  }

  const adminCreateState = {
    name: 'adminCreate',
    url: '/admin/new',
    component: 'adminCreate'
  }

  const adminEditState = {
    name: 'adminEdit',
    url: '/admin/place/{uid}',
    component: 'adminEdit'
  }

  $stateProvider
    .state(appState)
    .state(placeState)
    .state(pollutionState)
    .state(adminListState)
    .state(adminCreateState)
    .state(adminEditState)

  $urlRouterProvider.otherwise('/')

  $locationProvider.html5Mode(true)
}])
