const angular = require('angular')

const csrfElem = document.querySelector('meta[name="csrf-token"]')
const csrfToken = csrfElem.getAttribute('content')

angular.module('TranquilPavement').service('UsersService', ['$http', function ($http) {
  this.getCurrentUser = function () {
    return $http
      .get('/api/me')
      .then(resp => resp.data)
  }
  this.logout = function () {
    return $http
      .post('/logout', {}, { headers: { 'X-CSRF-TOKEN':csrfToken } })
  }
}])
