const angular = require('angular')

angular
  .module('TranquilPavement')
  .component('adminCreate', {
    template: `
    <div class="admin">
      <div class="admin__header">
        <h1>Tranquil Pavement Admin</h1>
        <a ui-sref="adminList">Back</a>
      </div>
      <form ng-submit="create()">
        <label for="url">Twitter Post URL</label>
        <input type="text" id="url" ng-model="url">
        <button type="submit">Create</button>
        <span>{{ error }}</span>
      </form>
    </div>
    `,
    controller: ['$scope', '$state', 'TranquilPlacesService', function ($scope, $state, TranquilPlacesService) {
      $scope.create = function () {
        TranquilPlacesService
          .create($scope.url)
          .then(res => {
            $state.go('adminEdit', { uid: res.uid })
          }, (res) => {
            if (res && res.data) {
              $scope.error = res.data.message || res.data
            } else {
              $scope.error = res.statusText
            }
          })
      }
    }]
  })
