<!doctype html>
<html lang="{{ app()->getLocale() }}">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <base href="/">

    <title>Tranquil Pavement</title>

    <!-- Fonts -->

    <!-- Styles -->
    <link rel="stylesheet" href="/css/app.css">

</head>
<body>
<div class="admin">
    <h1>Tranquil Pavement</h1>
    <h2>Log In</h2>
    <form method="POST" action="{{ route('login') }}">
        {{ csrf_field() }}

        <div class="admin-login__form-item {{ $errors->has('email') ? 'has-error' : '' }}">
            <label for="email">E-Mail Address</label>
            <input id="email" type="email" name="email" value="{{ old('email') }}" required autofocus>
            @if ($errors->has('email'))
                <span>{{ $errors->first('email') }}</span>
            @endif
        </div>

        <div class="admin-login__form-item {{ $errors->has('password') ? 'has-error' : '' }}">
            <label for="password">Password</label>
            <input id="password" type="password" name="password" required>
            @if ($errors->has('password'))
                <span>{{ $errors->first('password') }}</span>
            @endif
        </div>

        <div class="admin-login__form-item">
            <label>
                <input type="checkbox" name="remember" {{ old('remember') ? 'checked' : '' }}> Remember Me
            </label>
        </div>

        <button type="submit">
            Login
        </button>

        <a href="{{ route('password.request') }}">
            Forgot Your Password?
        </a>
    </form>
</div>
</body>
</html>

