<?php

use Illuminate\Http\Request;
use MetzWeb\Instagram\Instagram;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

Route::namespace('Api')
    ->group(function () {
        Route::get('pollution', 'PollutionDataController@get')->name('pollution.get');

        Route::get('places', 'TranquilPlacesController@list')->name('places.list');
        Route::get('places/search', 'TranquilPlacesController@search')->name('places.search');
        Route::get('places/download', 'TranquilPlacesController@download')->middleware('auth')->name('places.download');
        Route::get('places/{uid}', 'TranquilPlacesController@get')->name('places.get');

        Route::post('places', 'TranquilPlacesController@create')->middleware('auth')->name('places.create');
        Route::put('places/{uid}', 'TranquilPlacesController@update')->middleware('auth')->name('places.update');

        Route::get('instagram/businesses', 'InstagramController@businesses')->name('instagram.businesses');
        Route::get('instagram/set-business', 'InstagramController@setBusiness')->name('instagram.setBusiness');
        Route::get('instagram/callback', 'InstagramController@callback')->name('instagram.callback');

        Route::get('twitter/login-url', 'TwitterController@loginUrl')->name('twitter.login');
        Route::get('twitter/callback', 'TwitterController@callback')->name('twitter.callback');
    });

Route::middleware('auth')->get('/me', function (Request $request) {
    return $request->user()->toArray();
});
