<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

// Authentication Routes...
Route::get('login', [
    'as' => 'login',
    'uses' => 'Auth\LoginController@showLoginForm'
]);
Route::post('login', [
    'as' => '',
    'uses' => 'Auth\LoginController@login'
]);
Route::post('logout', [
    'as' => 'logout',
    'uses' => 'Auth\LoginController@logout'
]);

// Password Reset Routes...
Route::post('password/email', [
    'as' => 'password.email',
    'uses' => 'Auth\ForgotPasswordController@sendResetLinkEmail'
]);
Route::get('password/reset', [
    'as' => 'password.request',
    'uses' => 'Auth\ForgotPasswordController@showLinkRequestForm'
]);
Route::post('password/reset', [
    'as' => '',
    'uses' => 'Auth\ResetPasswordController@reset'
]);
Route::get('password/reset/{token}', [
    'as' => 'password.reset',
    'uses' => 'Auth\ResetPasswordController@showResetForm'
]);

// App routes
$renderAngularApp = function () {
    $alt = request('alt');
    return view('app', [
        'tileset' => $alt ? 'CombinedPollution' : 'IntegerColour',
        'tilesets' => config('tranquil.tilesets')
    ]);
};

Route::get('/admin', $renderAngularApp)->middleware('auth');

Route::get('/admin/{page}', $renderAngularApp)->where(['page' => '.*'])->middleware('auth');

Route::get('/', $renderAngularApp);

Route::get('/p/{route}', $renderAngularApp)->where(['route' => '.*']);

