<?php

namespace TranquilCity\TranquilPavement\Domain\Repositories;

use TranquilCity\TranquilPavement\Domain\Models\Point;
use TranquilCity\TranquilPavement\Domain\Models\PollutionDataPoint;

interface PollutionDataPointRepository {

    /**
     * Add a point to the repository IN MEMORY. Use saveAll() to flush changes to the database.
     *
     * @param PollutionDataPoint $point
     * @return mixed
     */
    public function add(PollutionDataPoint $point);

    public function saveAll();

    public function findAll();

    /**
     * @param $uid
     * @return PollutionDataPoint
     */
    public function findById($uid);

    /**
     * @param $geolocation
     * @return PollutionDataPoint
     */
    public function findByLocation(Point $geolocation);

}