<?php

namespace TranquilCity\TranquilPavement\Domain\Repositories;

use TranquilCity\TranquilPavement\Domain\Models\Point;
use TranquilCity\TranquilPavement\Domain\Models\TranquilPlace;

interface TranquilPlaceRepository {

    public function add(TranquilPlace $place);

    public function save(TranquilPlace $place);

    public function remove(TranquilPlace $place);

    public function findAll($order = 'defaultIndex');

    public function findAllLocated();

    public function findAllNotLocated();

    public function findAllInstagram();

    public function findAllTwitter();

    /**
     * @param $uid
     * @return TranquilPlace
     */
    public function findById($uid);

    public function findByThirdPartyId($id);

    public function findByLocation(Point $geolocation, $order = 'distance');

}