<?php

namespace TranquilCity\TranquilPavement\Infrastructure\Doctrine\Repositories;

use Doctrine\ORM\EntityManager;
use TranquilCity\TranquilPavement\Domain\Models\User;
use TranquilCity\TranquilPavement\Domain\Repositories\UserRepository;

class DoctrineUserRepository implements UserRepository
{

    private $entityManager;
    private $repository;

    /**
     * Constructs the DoctrineUserRepository
     *
     * @param EntityManager $entityManager The Doctrine Entity Manager (autowired)
     *
     */
    public function __construct(EntityManager $entityManager)
    {
        $this->entityManager = $entityManager;
        $this->repository = $this->entityManager->getRepository(User::class);
    }

    public function add(User $user)
    {

    }

    public function save(User $user)
    {
        $this->entityManager->persist($user);
        $this->entityManager->flush();
    }

    public function findById($uid)
    {
        return $this->repository->find($uid);
    }

    public function getInstagramToken()
    {
        return env('INSTAGRAM_API_TOKEN');
    }

    public function getWithTwitterToken()
    {
        $queryBuilder = $this->repository->createQueryBuilder('u');
        /** @var User[] $users */
        $users = $queryBuilder
            ->where('u.twitterToken IS NOT NULL and u.twitterTokenSecret IS NOT NULL')
            ->getQuery()
            ->getResult();
        if (count($users)) {
            return $users[0];
        } else {
            return null;
        }
    }

}